#include<iostream>
using namespace std;
int main ()
{
    int n,d,k,sum,curr = 1;
    cin >> n >> d >> k;
    for (int i = 1; i < k; i++)
    {
        int p = curr + d;
        if (n <= p) curr +=d;
        
        else
            {
                curr += d;
                curr /= n;
                }
        sum += curr;
    }
    cout << sum;
    return 0;
}